> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization



## OpenAPI

````yaml /openapi.json post /v1/organizations
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations:
    post:
      summary: Create Organization
      operationId: create_organization_v1_organizations_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganizationRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedOrganization'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateOrganizationRequest:
      additionalProperties: false
      properties:
        name:
          minLength: 1
          title: Name
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
      required:
        - name
      title: CreateOrganizationRequest
      type: object
    HostedOrganization:
      additionalProperties: false
      properties:
        name:
          title: Name
          type: string
        organization_id:
          title: Organization Id
          type: string
        permissions:
          items:
            type: string
          title: Permissions
          type: array
        role:
          title: Role
          type: string
        slug:
          title: Slug
          type: string
      required:
        - organization_id
        - name
        - slug
        - role
      title: HostedOrganization
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````